Bug 676519 - anaconda 15.19 fails to assemble software raid 10 device
Summary: anaconda 15.19 fails to assemble software raid 10 device
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-10 05:21 UTC by Clyde E. Kunkel
Modified: 2011-02-28 17:34 UTC (History)
6 users (show)

Fixed In Version: anaconda-15.21-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-28 17:34:01 UTC
Type: ---


Attachments (Terms of Use)
storage log from install attempt (2.12 MB, text/plain)
2011-02-10 05:21 UTC, Clyde E. Kunkel
no flags Details
/tmp/syslog (108.92 KB, text/plain)
2011-02-10 21:25 UTC, Clyde E. Kunkel
no flags Details
/tmp/anaconda.log (29.19 KB, text/plain)
2011-02-10 21:26 UTC, Clyde E. Kunkel
no flags Details
anaconda /tmp/program.log (514.23 KB, text/plain)
2011-02-16 18:56 UTC, Clyde E. Kunkel
no flags Details

Description Clyde E. Kunkel 2011-02-10 05:21:54 UTC
Created attachment 477963 [details]
storage log from install attempt

Description of problem:
software raid 10 device not assembled

Version-Release number of selected component (if applicable):
15.19

How reproducible:
every attempt

Steps to Reproduce:
1. boot F15A1 prerelease
2. work thru and select manual partitioning
3.
  
Actual results:
Do not see VolGroup00 which resides on a raid 10 PV.
(also ran into the missing interface component error)

Expected results:
See all md devices, VGs, LVs

Additional info:
do not see any raid devices in tty-2 with ls /dev/m*  Should see md127, md0 md127p1 md127p2

Comment 1 Chris Lumens 2011-02-10 19:43:10 UTC
Can you also attach /tmp/syslog and /tmp/anaconda.log?

Comment 2 Clyde E. Kunkel 2011-02-10 21:25:24 UTC
Created attachment 478121 [details]
/tmp/syslog

As requested

Comment 3 Clyde E. Kunkel 2011-02-10 21:26:18 UTC
Created attachment 478122 [details]
/tmp/anaconda.log

As requested

Comment 4 James Laska 2011-02-11 15:28:15 UTC
Adding to proposed list for F15Alpha.  I don't initially think this impacts the F15Alpha criteria [1], which more focuses on more common, default, partition schemes.  However, a case can be made that this impacts the Beta criteria [2].  Will discuss during the meeting.

[1] https://fedoraproject.org/wiki/Fedora_15_Alpha_Release_Criteria
[2] https://fedoraproject.org/wiki/Fedora_15_Beta_Release_Criteria

Comment 5 Adam Williamson 2011-02-11 16:22:11 UTC
Agree with jlaska, -1 Alpha.

Comment 6 Robyn Bergeron 2011-02-11 18:46:04 UTC
Per 2011-02-11 Alpha blocker meeting - 
#agreed 676519 - does not impact Alpha release criteria - move to F15Beta and review RAID criteria for Beta

Comment 7 Clyde E. Kunkel 2011-02-16 14:05:31 UTC
Redid TC1 install and noticed following:

Raid 10 device IS SEEN by the partitioner in the custom layout screen, but is marked as unknown and not identified as a PV.  In tty-2, it is still not seen in /dev.  If I copy the correct mdadm.conf to /etc in tty-2, do a mdadm --assemble /dev/md127, go back to tty-6 and BACK a few screens, then go forward, /dev/md127 is correctly seen as the PV and the VG/LVs are correctly displayed.

Comment 8 David Lehman 2011-02-16 18:00:15 UTC
Please attach /tmp/program.log to this but report.

Comment 9 Clyde E. Kunkel 2011-02-16 18:56:01 UTC
Created attachment 479193 [details]
anaconda /tmp/program.log

From original attempt not attempt in comment 7 where I discovered anaconda did see md127 but didn't start it.  Let me know if I need to redo the install and get new logs, happy to do it.

Comment 10 David Lehman 2011-02-16 20:04:28 UTC
I was able to reproduce it here. Thanks.

Comment 11 David Lehman 2011-02-16 20:16:18 UTC
This should definitely block the F15 Beta as it prevents us from detecting existing formatting on any md array with more than one member device.

Comment 12 David Lehman 2011-02-18 16:30:33 UTC
Fixed on master, waiting on results of blocker meeting to determine whether this makes it onto f15-branch.

Comment 13 Clyde E. Kunkel 2011-02-21 15:37:14 UTC
This may be related, if not will file a new bz:

On a different machine with Intel bios raid 10, the installer says during/after first device detection:

"Disks sdb, sdc, sdd, sde contain BIOS RAID metadata, but are not part of any recognizable BIOS RAID sets.  Ignoring disks sdb, sdc, sdd, sde."

If I reboot and put the proper mdadm.conf in /etc in tty-2 and then mdadm --assemble the container and then the array, the installer then sees the raid 10 set during first device detection and properly shows it and the LVs in the partitioner.

Comment 14 David Lehman 2011-02-28 17:34:01 UTC
Moving F15Beta to bug 680474, which is an F15 bug.

Clyde, your problem in comment 13 is probably unrelated, and I certainly cannot know for sure until I have seen the logs -- please file a separate report for it.


Note You need to log in before you can comment on or make changes to this bug.